Bug 177116 - Change HARD cdrom related crash
Change HARD cdrom related crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 08:56 EST by Hans de Goede
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 10:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-01-06 08:56:41 EST
This is weird, so the easiest way to explain it is to just explain howto
reproduce this:
-boot latest rawhide with latest kernel on x86_64
-insert Trix Main Catalog 2004/2005 CDROM (and only this cdrom)
-log in to console
-"cd /misc/cdrom" (I'm using automount, not logged in to gdm)
-"ls -l"
-notice in output:
-r-xr-xr-x 1 root root 2183432 Mar 29  2001 Trix 2004-2005.exe
-r-xr-xr-x 1 root root 2183432 Mar 29  2001 Trix 2004_2005.exe
-hey is that the same file?
-"diff Trix 2004-2005.exe Trix 2004_2005.exe"
-kernel panic, with a backtrace I can't read the reason for the panic as
 that goes offscreen. Something with a spinlock on irq+9 and irq+12

I can boot with a vgamode with more lines and then write down the entire dump
if that helps.

Or I can upload an iso of the cdrom somewhere its "only" 180 MB, I do need an
upload address from you then, and you should erase the image once done fixing
the bug as this is a copyrighted disc.
Comment 1 Hans de Goede 2006-01-06 09:21:31 EST
HMM, just having this CD mounted causes all kinda weirdness,
gnome-volume-manager crashes, OpenGL apps say drm access denied and fall back to
software, etc. And after some time the computer just crashes. As if mounting
this CD causes kernel memory corruption.

Before I get a don't use binary drives response, I don't I use opensource r200
dri support.
Comment 2 Dave Jones 2006-10-16 16:55:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Hans de Goede 2006-10-23 10:54:36 EDT
I'm happy to report that this is fixed with kernel 2.6.18-1.2798.fc6, closing
with a resolution of rawhide.

Note You need to log in before you can comment on or make changes to this bug.